ipk 编译 包不存在解决 openwrt下使用lame
ipk 编译 包不存在解决 openwrt下使用lame
何凯峰 发表于2年前
ipk 编译 包不存在解决 openwrt下使用lame
  • 发表于 2年前
  • 阅读 24
  • 收藏 0
  • 点赞 0
  • 评论 0

腾讯云 新注册用户 域名抢购1元起>>>   

摘要: OpenWrt环境下,需要在项目里面使用lame进行MP3编解码,出现了这种问题。记录一下。

除了要在 DEPENDS:=+libxxx以外,

可能还需要在下面的define Package/$(PKG_NAME)/install里面增加copy lib命令

一般都是在打包时候出现错误

define Package/$(PKG_NAME)

 SECTION:=utils

 CATEGORY:=Utilities

 DEPENDS:=+libpthread +libmad +libmp3lame

 TITLE:=hello --hello hello app

endef

define Package/$(PKG_NAME)/install

 #$(INSTALL_DIR) $(1)/usr/sbin

 #$(INSTALL_BIN) $(PKG_BUILD_DIR)/$(PKG_NAME) $(1)/usr/sbin

 $(INSTALL_DIR) $(1)/tmp

 $(CP) /home/hekaifeng/SDK/SDK_BASE/staging_dir/target-mips_34kc_uClibc-0.9.33.2/usr/lib/libmp3lame.* $(1)/tmp

 $(INSTALL_BIN) $(PKG_BUILD_DIR)/$(PKG_NAME) $(1)/tmp

endef


还有问题:

上面的是对于libmp3lame而言的,虽然上面这样写了可以编译也通过,但是发现在安装时候出现错误,一直提示:

Downloading http://192.168.0.11/hello_1.0.0-1_ar71xx.ipk.
Installing hello (1.0.0-1) to root...
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for hello:
 *      libmp3lame * 

 * opkg_install_cmd: Cannot install package hello.

所以直接把上面 +libmp3lame去掉了


标签: ipk lame mp3 openwrt
共有 人打赏支持
粉丝 2
博文 12
码字总数 3798
×
何凯峰
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: